import { GraphQLClient } from 'graphql-request';
import { CreateFeedbackMutationVariables, UpdateFeedbackMutationVariables, FeedbackWhereUniqueInput, CreateManyFeedbacksMutationVariables } from '../gql/graphql';
import { BaseFunctions } from './BaseFunctions';
import { ListFeedbackQueryVariables } from '../gql/graphql';
declare class FeedbackFunctions extends BaseFunctions {
    constructor(client: GraphQLClient);
    listFeedback(options: ListFeedbackQueryVariables): Promise<import("../gql/graphql").ListFeedbackQuery>;
    getFeedback(where: FeedbackWhereUniqueInput): Promise<import("../gql/graphql").GetFeedbackQuery>;
    createFeedback(feedbackData: CreateFeedbackMutationVariables['data']): Promise<import("../gql/graphql").CreateFeedbackMutation>;
    createManyFeedbacks(feedbackVariables: CreateManyFeedbacksMutationVariables['data']): Promise<import("../gql/graphql").CreateManyFeedbacksMutation>;
    updateFeedback(feedbackId: number, feedbackData: UpdateFeedbackMutationVariables['data']): Promise<import("../gql/graphql").UpdateFeedbackMutation>;
    deleteFeedback(feedbackId: number): Promise<import("../gql/graphql").DeleteFeedbackMutation>;
}
export { FeedbackFunctions };
